Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class ComponentInputMapUIResource

    java.lang.Object
      javax.swing.InputMap
          javax.swing.ComponentInputMap
              javax.swing.plaf.ComponentInputMapUIResource

All Implemented Interfaces:
  Serializable, UIResource

    public class ComponentInputMapUIResource

extends ComponentInputMap
implements UIResource

A subclass of javax.swing.ComponentInputMap that implements UIResource. UI classes which provide a ComponentInputMap should use this class.

Constructor Summary
`ComponentInputMapUIResource(JComponent component)`

Method Summary

Methods inherited from class javax.swing.ComponentInputMap
`clear, getComponent, put, remove, setParent`

Methods inherited from class javax.swing.InputMap
`allKeys, get, getParent, keys, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentInputMapUIResource

    public ComponentInputMapUIResource(JComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.